/* Estilos para os menus dropdown */
.dropdown-menu {
  border-radius: 0;
  border: none;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
  padding: 0.5rem 0;
  margin-top: 0;
}

.dropdown-item {
  padding: 0.5rem 1.5rem;
  font-size: 0.9rem;
  color: #212529;
  transition: background-color 0.2s, color 0.2s;
}

.dropdown-item:hover, .dropdown-item:focus {
  background-color: #f1f1f1;
  color: #0d6efd;
}

.dropdown-toggle::after {
  margin-left: 0.5rem;
  vertical-align: middle;
}



/* Efeito no hover para desktop */
@media (min-width: 992px) {
  .navbar-nav .nav-item.dropdown:hover .dropdown-menu {
    display: block;
  }
}

/* Ajustes para o menu mobile */
@media (max-width: 991.98px) {
  .dropdown-menu {
    border: none;
    box-shadow: none;
    padding-left: 1.5rem;
  }
  
  .dropdown-item {
    padding: 0.5rem 0;
  }
}

/* Classe para marcar o item ativo no dropdown */
.dropdown-item.active, .dropdown-item:active {
  background-color: #0d6efd;
  color: white;
}
